{{page-title @model.icon.name " | " (capitalize (t "edit-label"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::SideBarGroup @title={{t "icon set"}} @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @onEdit={{this.edit}} as |editMode|>
        {{#if editMode}}
          <Input::Select @list={{@model.iconSets}} @value={{@model.icon.iconSet}} @onChange={{this.changeIconSet}} />
        {{else}}
          <LinkTo @route="browse.icons.set" @model={{@model.icon.iconSet.id}}>
            {{@model.icon.iconSet.name}}
          </LinkTo>
        {{/if}}
      </Manage::SideBarGroup>

      <Manage::Toggle
        @title={{t "allow many instances"}}
        @id={{"toggle-allow-many-instances"}}
        @disabled={{this.isDisabled}}
        @value={{@model.icon.allowMany}}
        @onSave={{this.saveAllowMany}}
        @savingField={{this.savingField}}
      />

      <Manage::Toggle
        @title={{t "keep it on map when it is small"}}
        @id={{"toggle-keep-when-small"}}
        @disabled={{this.isDisabled}}
        @value={{@model.icon.keepWhenSmall}}
        @onSave={{this.saveKeepWhenSmall}}
        @savingField={{this.savingField}}
      />

      <Manage::TextboxSuggestions
        @title={{t "category"}}
        @value={{@model.icon.category}}
        @list={{this.categories}}
        @onSave={{this.saveCategory}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
      />

      <Manage::TextboxSuggestions
        @title={{t "subcategory"}}
        @value={{@model.icon.subcategory}}
        @list={{this.subcategories}}
        @onSave={{this.saveSubcategory}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
      />

      <Manage::ParentIcon
        @title={{t "parent icon"}}
        @onSave={{this.parentIconChanged}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @value={{@model.parentIcon}}
      />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit icon")}} @breadcrumbs={{this.breadcrumbs}}>
      <:extra>
        <LinkTo @route="manage.icons.translate" @models={{array @model.iconSet.id @model.icon.id}} class="btn">
          <FaIcon @icon="language" />
          {{capitalize (t "translate")}}
        </LinkTo>
      </:extra>

      <:content>
        {{#if this.alertList}}
          <Manage::Row>
            <AlertList @list={{this.alertList}} />
          </Manage::Row>
        {{/if}}

        {{#if @model.parentIconSet}}
          {{#unless @model.parentIconSet.visibility.isPublic}}
            <Manage::Row />
          {{/unless}}
        {{/if}}

        <Manage::Row @name="article">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.icon.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @onPictureUpload={{this.onPictureUpload}}
          />
        </Manage::Row>

        <Manage::Row @name="icon">
          <h2 class="capitalize-first-letter">{{t "icon-label"}}</h2>

          <Input::Icon @isSaving={{this.isSavingIcon}} @value={{@model.icon.image}} @parentValue={{@model.parentIcon.image}} @onChange={{this.changeIconImage}} />
        </Manage::Row>

        <Manage::Row @name="attributes">
          <Manage::IconAttributes
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @icon={{@model.icon}}
            @value={{@model.icon.attributes}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @onSave={{this.saveAttributes}}
          />
        </Manage::Row>

        <Manage::Row @name="min-max-zoom">
          <Manage::MinMaxZoom
            @title={{t "visibility"}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @value={{@model.icon}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @onSave={{this.saveZoom}}
          />
        </Manage::Row>

        <Manage::Row @name="other-names">
          <Manage::Text
            @title={{capitalize (t "other names")}}
            @isMainValue={{true}}
            @value={{this.otherNames}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveOtherNames}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="styles">
          <Manage::IconStyle @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @value={{@model.icon.styles}} @onEdit={{this.edit}} @onCancel={{this.cancel}} @onSave={{this.saveStyles}} />
        </Manage::Row>

        <Manage::Row @name="order">
          <Manage::Text
            @title={{t "order"}}
            @type="number"
            @isMainValue={{false}}
            @value={{@model.icon.order}}
            @emptyError={{capitalize (t "this article has no order")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "order"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}